lib$XXXX no version information available (required by mplayer)

Bug #515429 reported by Thomas Templin on 2010-02-01
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
mplayer (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: mplayer

mplayer and gmplayer complains about missing version info of certain libs:

~$ mplayer
mplayer: /usr/lib/i686/cmov/libpostproc.so.51: no version information available (required by mplayer)
mplayer: /usr/lib/i686/cmov/libavformat.so.52: no version information available (required by mplayer)
mplayer: /usr/lib/i686/cmov/libavcodec.so.52: no version information available (required by mplayer)
mplayer: /usr/lib/i686/cmov/libswscale.so.0: no version information available (required by mplayer)
mplayer: relocation error: mplayer: symbol codec_wav_tags, version LIBAVFORMAT_52 not defined in file libavformat.so.52 with link time reference

Release: Ubuntu 10.04 lucid
Paket Name: mplayer
Version: 2:1.0~rc3+svn20090426-1ubuntu13
Paket Name: mplayer-nogui
Version: 2:1.0~rc3+svn20090426-1ubuntu13
Paket Name: libavformat52
Version: 5:0.5+svn20091021-0.0
Paket Name: libswscale0
Version: 5:0.5+svn20091021-0.0
Paket Name: libavcodec52
Version: 5:0.5+svn20091021-0.0
Paket Name: libavformat52
Version: 5:0.5+svn20091021-0.0

ProblemType: Bug
Architecture: i386
Date: Mon Feb 1 11:31:04 2010
DistroRelease: Ubuntu 10.04
NonfreeKernelModules: nvidia
Package: mplayer 2:1.0~rc3+svn20090426-1ubuntu13
ProcEnviron:
 LANGUAGE=de_DE.UTF-8
 PATH=(custom, user)
 LANG=de_DE.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-12.16-generic
RelatedPackageVersions:
 libavcodec52 5:0.5+svn20091021-0.0
 libavcodec-extra-52 N/A
SourcePackage: mplayer
Uname: Linux 2.6.32-12-generic i686
system: distro = Ubuntu, architecture = i686, kernel = 2.6.32-12-generic

Thomas Templin (coastgnu) wrote :
Reinhard Tartler (siretart) wrote :

this problem is caused by using unofficial, 3rd party packages of ffmpeg. install the ones from the ubuntu archive to resolve this issue.

Changed in mplayer (Ubuntu):
status: New → Invalid

> this problem is caused by using unofficial, 3rd party packages of
> ffmpeg. install the ones from the ubuntu archive to resolve this issue.
Autsch, shame on me.

Replacing ffmpeg with the ones from the ubuntu archive resolved the problem.
Pardon me for the noise.

Bug may be closed.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers